import { Component } from '@angular/core';
import { Validators } from '@angular/forms';
import { FormControl, ReactiveFormsService } from '../lib';
@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  assetForm: any;
	formControls: Array<FormControl> = [
		{
			controlName: 'ip',
			model: '222',
			validator: Validators.required,
			error: { required: 'IP为必填项' }
		}
	];

	constructor(
		private rForm: ReactiveFormsService
	) { }



	ngOnInit() {
		this.assetForm = this.rForm.getFormGroup(this.formControls);
	}

	onSubmit() {
		console.log(this.assetForm.value)   
	}
}
